/*!\file: TriaHook.h
 * \brief prototypes for TriaHook.h
 */ 

#ifndef _TRIAHOOK_H_
#define  _TRIAHOOK_H_

class Hook;
class IoModel;

class TriaHook{

	public: 
		int    numanalyses; //number of analysis types
		Hook** hnodes; // 3 nodes for each analysis type
		Hook*  hmaterial; // 1 ice material
		Hook*  hmatpar; // 1 material parameter

		/*FUNCTION constructors, destructors {{{*/
		TriaHook();
		TriaHook(int in_numanalyses,int material_id, IoModel* iomodel);
		~TriaHook();
		void SetHookNodes(int* node_ids,int analysis_counter);
		/*}}}*/

};

#endif //ifndef _TRIAHOOK_H_
